Printing for (prime) finite fields

11 May 2019 21:53 - John Abbott

Status: Closed Start date: 11 May 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 1.01 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 1.00 hour

Description

I have found a "useful" result in an old file.

Unfortunately the result contains printed forms of the RingHoms used rather than the characteristic of codomain (which is the useful

information).  A typical entry is:

RingHom(RingWithID(677, "ZZ[x]") --> RingWithID(550, "RingWithID(382)[x]") sending (x |--> x))

 

Great!  So what is the characteristic?

I suggest that (small) prime finite fields print out in a better way when appearing as coeff rings.

Related issues:

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

History

#1 - 11 May 2019 21:57 - John Abbott

Consider the following session:

/**/ P ::= ZZ/(5)[x];

/**/ println P;

RingWithID(4, "RingWithID(3)[x]")

/**/ CoeffRing(P);

RingWithID(3, "FFp(5)")

 

Frankly  RingWithID(3)[x] is pretty meaningless to the reader.

Surely FFp(5)[x] is more helpful!

What do you think?  Should I change the printing?

Note: to be honest I find the RingID almost never helpful (but it almost always printed)
#2 - 28 May 2019 14:45 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I am aware that in CoCoALib one can create two rings which are essentially "identical", but are not considered as being the same by CoCoALib.  An

easy example is to create QQ[x] twice.  The rings are plainly the same (even same term-ordering), but CoCoALib regards them as distinct, so "mixed

ring" errors can easily arise.  The user may be puzzled if they print out the same; hence the idea of making the printed form also print the RingID...

However the current approach is quite inconvenient and rather unnatural, so I think we need a better solution.  But what?  And how?

#3 - 25 Sep 2019 14:32 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#4 - 25 Sep 2019 14:33 - John Abbott

- Assignee set to John Abbott

- % Done changed from 10 to 20

Anna says OK to my "hack".

Now I need to document and check everything in.

#5 - 25 Sep 2019 16:04 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 20 to 80

#6 - 25 Sep 2019 17:13 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Where should the documentation go?

#7 - 10 Oct 2019 18:46 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- Estimated time set to 1.01 h
